Bug 734484 - LOGIN authentication doesn't work
Summary: LOGIN authentication doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: php-pear-Net-Sieve
Version: el6
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 14:45 UTC by Vilius Šumskas
Modified: 2011-10-31 18:59 UTC (History)
1 user (show)

Fixed In Version: php-pear-Net-Sieve-1.3.2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-31 18:57:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
PEAR 17527 None None None Never

Description Vilius Šumskas 2011-08-30 14:45:54 UTC
Description of problem:
LOGIN authentication doesn't work with Cyrus and Dovecot. It fails when connecting from PHP script which uses Net_Sieve to Cyrus.

Version-Release number of selected component (if applicable):
php-pear-Net-Sieve-1.2.2-1.el6.noarch

How reproducible:
Always

Actual results:
PHP Error: Unable to connect to managesieve on example.com:2000 in /var/www/html/test.php on line 2

Expected results:
The script should connect.

Additional info:
This was fixed upstream in Net_Sieve 1.3.0.

Comment 1 Vilius Šumskas 2011-09-29 16:52:48 UTC
Is anyone watching this ticket?

Comment 2 Remi Collet 2011-09-29 17:02:57 UTC
Sorry for the delay (i think I have miss the initial mail).

I will take care of an upgrade ASAP.

Comment 3 Fedora Update System 2011-10-01 15:11:48 UTC
php-pear-Net-Sieve-1.3.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pear-Net-Sieve-1.3.2-1.el6

Comment 4 Fedora Update System 2011-10-01 15:12:43 UTC
php-pear-Net-Sieve-1.3.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-pear-Net-Sieve-1.3.2-1.el5

Comment 5 Fedora Update System 2011-10-01 18:50:11 UTC
Package php-pear-Net-Sieve-1.3.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-pear-Net-Sieve-1.3.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-Net-Sieve-1.3.2-1.el6
then log in and leave karma (feedback).

Comment 6 Vilius Šumskas 2011-10-20 17:20:06 UTC
Tested and works. Should be OK to push to stable.

Comment 7 Fedora Update System 2011-10-31 18:57:56 UTC
php-pear-Net-Sieve-1.3.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-10-31 18:59:45 UTC
php-pear-Net-Sieve-1.3.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.